Package io.vertx.rxjava3.ext.auth.audit

## Class SecurityAudit

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.audit.SecurityAudit

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class SecurityAudit
      extends Object
      implements io.vertx.lang.rx.RxDelegate

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<SecurityAudit>` | `__TYPE_ARG` |
    `static SecurityAudit` | `NOOP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecurityAudit​(SecurityAudit delegate)` |
    `SecurityAudit​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `audit​(Marker marker, boolean success)` |
    `<T> Handler<AsyncResult<T>>` | `auditHandlerFor​(Marker marker)` |
    `SecurityAudit` | `authorization​(Authorization authorization)` |
    `static SecurityAudit` | `create()` |
    `SecurityAudit` | `credentials​(Credentials credentials)` |
    `SecurityAudit` | `destination​(SocketAddress address)` |
    `boolean` | `equals​(Object o)` |
    `SecurityAudit` | `getDelegate()` |
    `int` | `hashCode()` |
    `static SecurityAudit` | `newInstance​(SecurityAudit arg)` |
    `SecurityAudit` | `resource​(HttpVersion version, HttpMethod method, String path)` |
    `SecurityAudit` | `resource​(String resource)` |
    `SecurityAudit` | `source​(SocketAddress address)` |
    `SecurityAudit` | `status​(int status)` |
    `String` | `toString()` |
    `SecurityAudit` | `user​(User user)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SecurityAudit> __TYPE_ARG

    - #### NOOP

          public static final SecurityAudit NOOP

  - ### Constructor Detail

    - #### SecurityAudit

          public SecurityAudit​(SecurityAudit delegate)

    - #### SecurityAudit

          public SecurityAudit​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SecurityAudit getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static SecurityAudit create()

    - #### source

          public SecurityAudit source​(SocketAddress address)

    - #### destination

          public SecurityAudit destination​(SocketAddress address)

    - #### resource

          public SecurityAudit resource​(HttpVersion version,
                                        HttpMethod method,
                                        String path)

    - #### resource

          public SecurityAudit resource​(String resource)

    - #### credentials

          public SecurityAudit credentials​(Credentials credentials)

    - #### user

          public SecurityAudit user​(User user)

    - #### authorization

          public SecurityAudit authorization​(Authorization authorization)

    - #### status

          public SecurityAudit status​(int status)

    - #### audit

          public void audit​(Marker marker,
                            boolean success)

    - #### auditHandlerFor

          public <T> Handler<AsyncResult<T>> auditHandlerFor​(Marker marker)

    - #### newInstance

          public static SecurityAudit newInstance​(SecurityAudit arg)